//////////////////////////////////////////
//
// NOTE: This is *not* a valid shader file
//
///////////////////////////////////////////
Shader "Shader Graphs/SG_KDS_SlicoOffice_DistanceFade" {
    Properties {
        _MaxDistance ("MaxDistance", Float) = 15
        _MinDistance ("MinDistance", Float) = 0.5
        _MainTex ("MainTex", 2D) = "white" { }
        _Tint ("Tint", Color) = (1,1,1,1)
        [Toggle(_USEOBJECTPOSITION)] _USEOBJECTPOSITION ("UseObjectPosition", Float) = 0
        unity_Lightmaps ("unity_Lightmaps", 2DArray) = "" { }
        unity_LightmapsInd ("unity_LightmapsInd", 2DArray) = "" { }
        unity_ShadowMasks ("unity_ShadowMasks", 2DArray) = "" { }
    }
    SubShader {
        Tags { "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalSpriteUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
        Pass {
            Name "Sprite Unlit"
            Tags { "LIGHTMODE" = "Universal2D" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalSpriteUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Blend SrcAlpha One, One One
            ZWrite Off
            Cull Off
            GpuProgramID 33801
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    uniform 	vec4 _RendererColor;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(1) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    out highp vec3 vs_INTERP3;
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        vs_INTERP2.xyz = u_xlat0.xyz;
                        gl_Position = u_xlat1 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0 * _RendererColor;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP3.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec3 _WorldSpaceCameraPos;
                    uniform 	vec4 unity_OrthoParams;
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixV[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM float                _MaxDistance;
                    	UNITY_UNIFORM float                _MinDistance;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_MainTex_TexelSize;
                    	UNITY_UNIFORM vec4                _Tint;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _MainTex;
                    in highp vec4 vs_INTERP0;
                    in highp vec4 vs_INTERP1;
                    in highp vec3 vs_INTERP2;
                    in highp vec3 vs_INTERP3;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    vec3 u_xlat0;
                    bool u_xlatb0;
                    vec4 u_xlat1;
                    vec3 u_xlat2;
                    vec3 u_xlat3;
                    float u_xlat12;
                    bool u_xlatb12;
                    float u_xlat13;
                    float u_xlat14;
                    void main()
                    {
                        u_xlat0.x = dot(vs_INTERP3.xyz, vs_INTERP3.xyz);
                        u_xlat0.x = sqrt(u_xlat0.x);
                        u_xlat0.x = float(1.0) / u_xlat0.x;
                        u_xlat0.xyz = u_xlat0.xxx * vs_INTERP3.xyz;
                        u_xlatb12 = unity_OrthoParams.w==0.0;
                        u_xlat1.xyz = (-vs_INTERP2.xyz) + _WorldSpaceCameraPos.xyz;
                        u_xlat13 = dot(u_xlat1.xyz, u_xlat1.xyz);
                        u_xlat13 = inversesqrt(u_xlat13);
                        u_xlat1.xyz = vec3(u_xlat13) * u_xlat1.xyz;
                        u_xlat2.x = (u_xlatb12) ? u_xlat1.x : hlslcc_mtx4x4unity_MatrixV[0].z;
                        u_xlat2.y = (u_xlatb12) ? u_xlat1.y : hlslcc_mtx4x4unity_MatrixV[1].z;
                        u_xlat2.z = (u_xlatb12) ? u_xlat1.z : hlslcc_mtx4x4unity_MatrixV[2].z;
                        u_xlat1 = texture(_MainTex, vs_INTERP0.xy, _GlobalMipBias.x);
                        u_xlat1 = u_xlat1 * _Tint;
                        u_xlat3.xyz = vs_INTERP2.xyz + (-_WorldSpaceCameraPos.xyz);
                        u_xlat12 = dot(u_xlat3.xyz, u_xlat3.xyz);
                        u_xlat12 = sqrt(u_xlat12);
                        u_xlat12 = u_xlat12 + (-_MinDistance);
                        u_xlat14 = (-_MinDistance) + _MaxDistance;
                        u_xlat12 = max(u_xlat12, 0.0);
                        u_xlat12 = min(u_xlat14, u_xlat12);
                        u_xlat12 = u_xlat12 / u_xlat14;
                        u_xlat12 = clamp(u_xlat12, 0.0, 1.0);
                        u_xlat12 = u_xlat1.w * u_xlat12;
                        u_xlat0.x = dot(u_xlat2.xyz, u_xlat0.xyz);
                        u_xlat0.x = clamp(u_xlat0.x, 0.0, 1.0);
                        u_xlat1.w = u_xlat0.x * u_xlat12;
                        u_xlatb0 = u_xlat1.w==0.0;
                        if(u_xlatb0){discard;}
                        SV_TARGET0 = u_xlat1 * vs_INTERP1;
                        return;
                    }
                    
                    #endif
                    "
                }
                SubProgram "gles3 " {
                    Keywords { "_USEOBJECTPOSITION" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    uniform 	vec4 _RendererColor;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    out highp vec3 vs_INTERP3;
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        vs_INTERP2.xyz = u_xlat0.xyz;
                        gl_Position = u_xlat1 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0 * _RendererColor;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP3.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec3 _WorldSpaceCameraPos;
                    uniform 	vec4 unity_OrthoParams;
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixV[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(1) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM float                _MaxDistance;
                    	UNITY_UNIFORM float                _MinDistance;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_MainTex_TexelSize;
                    	UNITY_UNIFORM vec4                _Tint;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _MainTex;
                    in highp vec4 vs_INTERP0;
                    in highp vec4 vs_INTERP1;
                    in highp vec3 vs_INTERP2;
                    in highp vec3 vs_INTERP3;
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    vec3 u_xlat0;
                    bool u_xlatb0;
                    vec4 u_xlat1;
                    vec3 u_xlat2;
                    vec3 u_xlat3;
                    float u_xlat12;
                    bool u_xlatb12;
                    float u_xlat13;
                    float u_xlat14;
                    void main()
                    {
                        u_xlat0.x = dot(vs_INTERP3.xyz, vs_INTERP3.xyz);
                        u_xlat0.x = sqrt(u_xlat0.x);
                        u_xlat0.x = float(1.0) / u_xlat0.x;
                        u_xlat0.xyz = u_xlat0.xxx * vs_INTERP3.xyz;
                        u_xlatb12 = unity_OrthoParams.w==0.0;
                        u_xlat1.xyz = (-vs_INTERP2.xyz) + _WorldSpaceCameraPos.xyz;
                        u_xlat13 = dot(u_xlat1.xyz, u_xlat1.xyz);
                        u_xlat13 = inversesqrt(u_xlat13);
                        u_xlat1.xyz = vec3(u_xlat13) * u_xlat1.xyz;
                        u_xlat2.x = (u_xlatb12) ? u_xlat1.x : hlslcc_mtx4x4unity_MatrixV[0].z;
                        u_xlat2.y = (u_xlatb12) ? u_xlat1.y : hlslcc_mtx4x4unity_MatrixV[1].z;
                        u_xlat2.z = (u_xlatb12) ? u_xlat1.z : hlslcc_mtx4x4unity_MatrixV[2].z;
                        u_xlat1 = texture(_MainTex, vs_INTERP0.xy, _GlobalMipBias.x);
                        u_xlat1 = u_xlat1 * _Tint;
                        u_xlat3.xyz = _WorldSpaceCameraPos.xyz + (-hlslcc_mtx4x4unity_ObjectToWorld[3].xyz);
                        u_xlat12 = dot(u_xlat3.xyz, u_xlat3.xyz);
                        u_xlat12 = sqrt(u_xlat12);
                        u_xlat12 = u_xlat12 + (-_MinDistance);
                        u_xlat14 = (-_MinDistance) + _MaxDistance;
                        u_xlat12 = max(u_xlat12, 0.0);
                        u_xlat12 = min(u_xlat14, u_xlat12);
                        u_xlat12 = u_xlat12 / u_xlat14;
                        u_xlat12 = clamp(u_xlat12, 0.0, 1.0);
                        u_xlat12 = u_xlat1.w * u_xlat12;
                        u_xlat0.x = dot(u_xlat2.xyz, u_xlat0.xyz);
                        u_xlat0.x = clamp(u_xlat0.x, 0.0, 1.0);
                        u_xlat1.w = u_xlat0.x * u_xlat12;
                        u_xlatb0 = u_xlat1.w==0.0;
                        if(u_xlatb0){discard;}
                        SV_TARGET0 = u_xlat1 * vs_INTERP1;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "Sprite Unlit"
            Tags { "LIGHTMODE" = "UniversalForward" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalSpriteUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Blend SrcAlpha One, One One
            ZWrite Off
            Cull Off
            GpuProgramID 229443
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    uniform 	vec4 _RendererColor;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(1) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    out highp vec3 vs_INTERP3;
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        vs_INTERP2.xyz = u_xlat0.xyz;
                        gl_Position = u_xlat1 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0 * _RendererColor;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP3.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec3 _WorldSpaceCameraPos;
                    uniform 	vec4 unity_OrthoParams;
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixV[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM float                _MaxDistance;
                    	UNITY_UNIFORM float                _MinDistance;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_MainTex_TexelSize;
                    	UNITY_UNIFORM vec4                _Tint;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _MainTex;
                    in highp vec4 vs_INTERP0;
                    in highp vec4 vs_INTERP1;
                    in highp vec3 vs_INTERP2;
                    in highp vec3 vs_INTERP3;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    vec3 u_xlat0;
                    bool u_xlatb0;
                    vec4 u_xlat1;
                    vec3 u_xlat2;
                    vec3 u_xlat3;
                    float u_xlat12;
                    bool u_xlatb12;
                    float u_xlat13;
                    float u_xlat14;
                    void main()
                    {
                        u_xlat0.x = dot(vs_INTERP3.xyz, vs_INTERP3.xyz);
                        u_xlat0.x = sqrt(u_xlat0.x);
                        u_xlat0.x = float(1.0) / u_xlat0.x;
                        u_xlat0.xyz = u_xlat0.xxx * vs_INTERP3.xyz;
                        u_xlatb12 = unity_OrthoParams.w==0.0;
                        u_xlat1.xyz = (-vs_INTERP2.xyz) + _WorldSpaceCameraPos.xyz;
                        u_xlat13 = dot(u_xlat1.xyz, u_xlat1.xyz);
                        u_xlat13 = inversesqrt(u_xlat13);
                        u_xlat1.xyz = vec3(u_xlat13) * u_xlat1.xyz;
                        u_xlat2.x = (u_xlatb12) ? u_xlat1.x : hlslcc_mtx4x4unity_MatrixV[0].z;
                        u_xlat2.y = (u_xlatb12) ? u_xlat1.y : hlslcc_mtx4x4unity_MatrixV[1].z;
                        u_xlat2.z = (u_xlatb12) ? u_xlat1.z : hlslcc_mtx4x4unity_MatrixV[2].z;
                        u_xlat1 = texture(_MainTex, vs_INTERP0.xy, _GlobalMipBias.x);
                        u_xlat1 = u_xlat1 * _Tint;
                        u_xlat3.xyz = vs_INTERP2.xyz + (-_WorldSpaceCameraPos.xyz);
                        u_xlat12 = dot(u_xlat3.xyz, u_xlat3.xyz);
                        u_xlat12 = sqrt(u_xlat12);
                        u_xlat12 = u_xlat12 + (-_MinDistance);
                        u_xlat14 = (-_MinDistance) + _MaxDistance;
                        u_xlat12 = max(u_xlat12, 0.0);
                        u_xlat12 = min(u_xlat14, u_xlat12);
                        u_xlat12 = u_xlat12 / u_xlat14;
                        u_xlat12 = clamp(u_xlat12, 0.0, 1.0);
                        u_xlat12 = u_xlat1.w * u_xlat12;
                        u_xlat0.x = dot(u_xlat2.xyz, u_xlat0.xyz);
                        u_xlat0.x = clamp(u_xlat0.x, 0.0, 1.0);
                        u_xlat1.w = u_xlat0.x * u_xlat12;
                        u_xlatb0 = u_xlat1.w==0.0;
                        if(u_xlatb0){discard;}
                        SV_TARGET0 = u_xlat1 * vs_INTERP1;
                        return;
                    }
                    
                    #endif
                    "
                }
                SubProgram "gles3 " {
                    Keywords { "_USEOBJECTPOSITION" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    uniform 	vec4 _RendererColor;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    out highp vec3 vs_INTERP3;
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        vs_INTERP2.xyz = u_xlat0.xyz;
                        gl_Position = u_xlat1 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0 * _RendererColor;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP3.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec3 _WorldSpaceCameraPos;
                    uniform 	vec4 unity_OrthoParams;
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixV[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(1) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM float                _MaxDistance;
                    	UNITY_UNIFORM float                _MinDistance;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_MainTex_TexelSize;
                    	UNITY_UNIFORM vec4                _Tint;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _MainTex;
                    in highp vec4 vs_INTERP0;
                    in highp vec4 vs_INTERP1;
                    in highp vec3 vs_INTERP2;
                    in highp vec3 vs_INTERP3;
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    vec3 u_xlat0;
                    bool u_xlatb0;
                    vec4 u_xlat1;
                    vec3 u_xlat2;
                    vec3 u_xlat3;
                    float u_xlat12;
                    bool u_xlatb12;
                    float u_xlat13;
                    float u_xlat14;
                    void main()
                    {
                        u_xlat0.x = dot(vs_INTERP3.xyz, vs_INTERP3.xyz);
                        u_xlat0.x = sqrt(u_xlat0.x);
                        u_xlat0.x = float(1.0) / u_xlat0.x;
                        u_xlat0.xyz = u_xlat0.xxx * vs_INTERP3.xyz;
                        u_xlatb12 = unity_OrthoParams.w==0.0;
                        u_xlat1.xyz = (-vs_INTERP2.xyz) + _WorldSpaceCameraPos.xyz;
                        u_xlat13 = dot(u_xlat1.xyz, u_xlat1.xyz);
                        u_xlat13 = inversesqrt(u_xlat13);
                        u_xlat1.xyz = vec3(u_xlat13) * u_xlat1.xyz;
                        u_xlat2.x = (u_xlatb12) ? u_xlat1.x : hlslcc_mtx4x4unity_MatrixV[0].z;
                        u_xlat2.y = (u_xlatb12) ? u_xlat1.y : hlslcc_mtx4x4unity_MatrixV[1].z;
                        u_xlat2.z = (u_xlatb12) ? u_xlat1.z : hlslcc_mtx4x4unity_MatrixV[2].z;
                        u_xlat1 = texture(_MainTex, vs_INTERP0.xy, _GlobalMipBias.x);
                        u_xlat1 = u_xlat1 * _Tint;
                        u_xlat3.xyz = _WorldSpaceCameraPos.xyz + (-hlslcc_mtx4x4unity_ObjectToWorld[3].xyz);
                        u_xlat12 = dot(u_xlat3.xyz, u_xlat3.xyz);
                        u_xlat12 = sqrt(u_xlat12);
                        u_xlat12 = u_xlat12 + (-_MinDistance);
                        u_xlat14 = (-_MinDistance) + _MaxDistance;
                        u_xlat12 = max(u_xlat12, 0.0);
                        u_xlat12 = min(u_xlat14, u_xlat12);
                        u_xlat12 = u_xlat12 / u_xlat14;
                        u_xlat12 = clamp(u_xlat12, 0.0, 1.0);
                        u_xlat12 = u_xlat1.w * u_xlat12;
                        u_xlat0.x = dot(u_xlat2.xyz, u_xlat0.xyz);
                        u_xlat0.x = clamp(u_xlat0.x, 0.0, 1.0);
                        u_xlat1.w = u_xlat0.x * u_xlat12;
                        u_xlatb0 = u_xlat1.w==0.0;
                        if(u_xlatb0){discard;}
                        SV_TARGET0 = u_xlat1 * vs_INTERP1;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
    }
Fallback "Hidden/Shader Graph/FallbackError"
CustomEditor "UnityEditor.ShaderGraph.GenericShaderGraphMaterialGUI"
}